## org.freedesktop.NetworkManager.Device.Modem

org.freedesktop.NetworkManager.Device.Modem

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    ModemCapabilities    readable   u
    CurrentCapabilities  readable   u

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "ModemCapabilities" property

    ModemCapabilities  readable   u

The generic family of access technologies the modem supports. Not all capabilities are available at the same time however; some modems require a firmware reload or other reinitialization to switch between eg CDMA/EVDO and GSM/UMTS.

Returns: NMDeviceModemCapabilities

### The "CurrentCapabilities" property

    CurrentCapabilities  readable   u

The generic family of access technologies the modem currently supports without a firmware reload or reinitialization.

Returns: NMDeviceModemCapabilities